Subject: RE: [Ltru] Re: FW: tags for written or spoken content, was Swissgerman, spoken

From: "Addison Phillips" <[email-masked]>
Date: Sun, 12 Jun 2005 20:01:07 -0700

You are making a logical error, I believe.

Here are a number of false statements, none of which are necessarily useful in resolving the design:

1. Because script is not important or useful in distinguishing unwritten content, it is not important in distinguishing written content.

2. Because script is important in distinguishing certain written content, it is important for unwritten content too.

3. Because English is customarily written in Latin script, it isn't important to distinguish the script for Chinese (or Serbian, or...) texts.

Mark's point is well taken. Script is not and never has been a requirement for all documents, only those for which it is useful in distinguishing content. Then it is invaluable (in the same way that regions sometimes [but not always] are, or other variants of various kinds). Note the use of the word "other" in that sentence.

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of McDonald, Ira
> Sent: 2005?6?12? 18:11
> To: 'Frank Ellermann'; [email-masked]
> Subject: RE: [Ltru] Re: FW: tags for written or spoken content, was
> Swissgerman, spoken
> 
> 
> Frank Ellerman wrote:
> >
> > McDonald, Ira wrote:
> >
> > > the _entire_ justification for shoehorning 'script' between
> > > 'language' and 'region' is the overwhelming focus on
> > > traditional uses of language tags for _written_ content.
> >
> > No, I don't think that that's a correct description of the
> > "entire justification", it meshes two independet aspects.
> >
> > For written content we need the script, only the language is
> > not good enough.  So we either need something like Bruce's
> > Content-Script, or where that's no option we try to add it to
> > the existing language tag.
> >
> > If we decide to add it elsewhere I fail to see any advantage
> > of the 3rd position (between region and variant).  So we take
> > either the last or the 2nd position.
> >
> > <...snip...>
> >
> > That's the 3rd or last position,  I don't see any advantage
> > of the 3rd position, en-Latn-US-boont or en-US-Latn-boont are
> > both ugly.  Maybe en-US-boont-Latn would be a good idea.
> >
> > <...snip...>
> >
> > My point is, the new "unloved script" isn't the real problem.
> > The real problem is the legacy region.  And we're damned to
> > keep it - without looking into the LTRU charter I fear that's
> > what it says.
> >                           Bye, Frank
> 
> Script only matters for written content.  Your argument makes
> my point exactly: unwritten bias in favor of written content.
> 
> Script is _new_.  Putting script third (or anywhere else after
> the traditional and very widely used 'region') causes zero
> compatibility problems with any existing software.  At the
> "who cares" dubious loss caused by RTL truncation for 'script'.
> 
> I fail to see why nearly all existing language tagged content
> and all deployed browsers and other language tag processing
> applications should suffer for the _enhancement_ of 'script'
> being in the 'right' position.
> 
> Cheers,
> - Ira
> 
> Ira McDonald (Musician / Software Architect)
> Blue Roof Music / High North Inc
> PO Box 221  Grand Marais, MI  49839
> phone: +1-906-494-2434
> email: [email-masked]
> 
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru